"""
Type stubs for hyperq module.
"""

from typing import Any, Optional, Union

class HyperQ:
    def __init__(self, capacity_or_name: Union[int, str], name: Optional[str] = None) -> None: ...
    def loads(self, msg_bytes: bytes) -> Any: ...
    def dumps(self, obj: Any) -> bytes: ...
    def put(self, data: Any) -> bool: ...
    def get(self) -> Any: ...
    @property
    def empty(self) -> bool: ...
    @property
    def full(self) -> bool: ...
    @property
    def size(self) -> int: ...
    @property
    def capacity(self) -> int: ...
    @property
    def available(self) -> int: ...
    @property
    def shm_name(self) -> str: ...
    @property
    def shm_fd(self) -> int: ...
    def clear(self) -> None: ...
    def __len__(self) -> int: ...
    def __bool__(self) -> bool: ...

class BytesHyperQ:
    def __init__(self, capacity_or_name: Union[int, str], name: Optional[str] = None) -> None: ...
    def put(self, data: bytes) -> bool: ...
    def get(self) -> bytes: ...
    @property
    def empty(self) -> bool: ...
    @property
    def full(self) -> bool: ...
    @property
    def size(self) -> int: ...
    @property
    def capacity(self) -> int: ...
    @property
    def available(self) -> int: ...
    @property
    def shm_name(self) -> str: ...
    @property
    def shm_fd(self) -> int: ...
    def clear(self) -> None: ...
    def __len__(self) -> int: ...
    def __bool__(self) -> bool: ...

__version__: str
__author__: str
__email__: str
